package com.srs.flowable.mapper;

import com.srs.flowable.domain.StuDisciplinaryApplication;
import com.srs.flowable.domain.Student;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DisciplinaryMapper {

    /**
     * 根据部门获取学吴干事审批
     * @param deptId
     * @return
     */
    Long getApprovalByDeptIdAndRoleKey(@Param("deptId") Long deptId,@Param("roleKey") String roleKey);

    /**
     * 根据rolekey获取该角色的用户信息，审批
     * @param roleKey
     * @return
     */
    List<Long> getApprovalByRoleKey(String roleKey);

    int updateRtStuDisciplinaryApplication(StuDisciplinaryApplication rtStuDisciplinaryApplication);

    /**
     * 查询学生处分申请
     *
     * @param applicationId 学生处分申请主键
     * @return 学生处分申请
     */
    StuDisciplinaryApplication selectRtStuDisciplinaryApplicationByApplicationId(Long applicationId);


    /**
     * 修改学生基本信息
     * @param student
     * @return
     */
    int updateStudentStatus(Student student);


}
